
body {
  font-weight: 200;
}

a:hover, a:active, a:focus {
    text-decoration: none !important;
}

/*
#main-navbar a {
  font-weight: 400;
  letter-spacing: 1px;
}
*/

#main-navbar .dropdown-menu a {
  font-weight: 200;
}


#main-navbar .nav-item {
  text-decoration: none !important;
}

p {
  hyphens: auto;
}

/*
#page-content p {
  letter-spacing: 1px;
}
*/

#page-content code {
  letter-spacing: 0 !important;
}

.nav-item.dropdown {
  margin-right: 1rem;
}


hr {
  margin: 3rem 0;
}

.main-content li {
  line-height: 2;
}

.jumbotron p {
    margin: 0 !important;
}

.display-1 {
    padding-top: 3rem;
}
#page-109 .display-1,
#page-129 .display-1 {
    padding-top: 0 !important;
}

nav.sticky-top {
    padding-top: 72px !important;
    border-bottom: 15px solid #222222;
    background-color: #222222;
}

#page-108 nav.sticky-top {
  padding-top: 72px !important;
  border-bottom: 15px solid transparent;
  background-color: transparent;
}

#page-108 .jumbotron.bg-dark {
  background-color: transparent !important;
}

#page-108 .main-content .container {
  padding: 3rem;
  background-color: rgba(0, 0, 0, 0.2);
}

#page-108 code {
  background-color: rgba(0, 0, 0, 0.4);
}

#page-108 .breadcrumb {
  --bs-breadcrumb-bg: rgba(0, 0, 0, 0.2) !important;
}

#page-108 figcaption {
  color: #222;
}

.breadcrumb {
  margin-bottom: 0 !important;
}

.badge {
    padding: 8px;
}


.bodytext h4 {
    margin-top: 2rem;
}


table {
  font-size: 80%;
}
table p {
  margin: 0 !important;
}

.table-striped {
  --bs-table-color: #fff;
  --bs-table-bg: #303030;
  --bs-table-border-color: #595959;
  --bs-table-striped-bg: #3a3a3a;
  --bs-table-striped-color: #fff;
  --bs-table-active-bg: #454545;
  --bs-table-active-color: #fff;
  --bs-table-hover-bg: #404040;
  --bs-table-hover-color: #fff;
  color: var(--bs-table-color);
  border-color: var(--bs-table-border-color);
}


#page-6 table tr td:first-child,
#page-164 table tr td:first-child,
#page-207 table tr td:first-child {
  width: 20%;
}
#page-109 table tr td:first-child {
  width: 40%;
}
#page-6 table tr td:last-child,
#page-207 table tr td:last-child,
#page-109 table tr td:last-child {
  width: 20%;
  text-align: right;
}


#page-27 table tr td:first-child {
  width: 30%;
}
#page-164 table tr td:last-child,
#page-27 table tr td:last-child {
  width: 20%;
  text-align: right;
}

#page-187 h5 {
  margin: 2rem 0;
}

#page-192 .display-1 {
  padding: 0 !important;
}


.card.card-effect-one:hover {
  background-color: #303030;
}



.icon-block {
  padding-bottom: 1rem !important;
}

.icon-block a {
  color: #fff !important;
  border: 1px solid #fff !important;
}



pre {
  padding: 1rem;
  background: #253947;
}


/* Basis-Stil für beide */
.todo-item::before {
    content: "";
    display: inline-block;
    width: 1.2em;
    height: 1.2em;
    margin-right: 10px;
    border: 2px solid #ccc;
    border-radius: 3px;
    vertical-align: middle;
    text-align: center;
    line-height: 0.7em;
    color: #222222 !important;
}

.todo-item-done::before {
    content: "";
    display: inline-block;
    width: 1.2em;
    height: 1.2em;
    margin-right: 10px;
    border: 2px solid #ccc;
    border-radius: 3px;
    vertical-align: middle;
    text-align: center;
    line-height: 0.9em;
    color: #222222 !important;
}

/* Offene Aufgabe */
.todo-item::before {
  content: "☐";
  color: #999;
  background: #222222;
  z-index: 33;
  position: relative;
}


/* Erledigte Aufgabe */
.todo-item-done::before {
    content: "✔"; /* Häkchen */
    background-color: #4CAF50;
    border-color: #4CAF50;
    color: white;
}

/* Optional: Text durchstreichen bei erledigten Aufgaben */
.todo-item-done {
    text-decoration: line-through;
    color: #888;
}

.form-group-dashed + .form-group-dashed {
  border-top: 1px dashed #666;
  padding-top: 1rem;
}


#tabContent-1104 {
  margin-top: 3rem;
}

#tabContent-1104 .form-description {
  color: #888;
  margin-left: 2rem;
}


.card .list-group-item {
  color: #999;
}

.frame-ruler-after {
  border-bottom: 1px solid #5a5a5a !important;
  margin-top: 2rem;
  padding-bottom: 0;
}

#page-26 .frame-ruler-after {
  padding-bottom: 3rem !important;
}

.frame-ruler-before::before {
  border-top: 1px solid #5a5a5a !important;
  margin-top: 4rem;
  margin-bottom: 3em;
}

#page-footer .frame-ruler-before::before {
  border-top: 1px solid #5a5a5a !important;
  margin-top: 2rem;
  margin-bottom: 2.5em;
}

.frame-ruler-after::after {
/*  border-bottom: 1px solid #5a5a5a !important; */
  margin-top: 2rem;
}

.card-header {
  background-color: transparent !important;
}

.breadcrumb {
  z-index: 1030;
  position: sticky;
}

figcaption {
  margin-top: 5px;
  color: #999;
}


.swiper-pagination-bullet-active {
  background: var(--bs-primary) !important;
  opacity: 1;
}

.accordion-button:not(.collapsed) {
  color: #fff;
  background-color: #444;
  box-shadow: inset 0 calc(-1 * var(--bs-accordion-border-width)) 0 var(--bs-accordion-border-color);
}


#accordion-218 .accordion-button::before,
#accordion-218 .accordion .accordion-button::before {
 background-image:none;
 font-family:"Font Awesome 7 Solid";
 font-weight:900 !important;
 content:"\2b";
 height: auto !important;
 padding-right: .75rem;
}
#accordion-218 .accordion-button:not(.collapsed)::before,
#accordion-218 .accordion .accordion-button:not(.collapsed)::before {
 background-image:none;
 font-family:"Font Awesome 7 Solid";
 font-style:normal;
 font-weight:900 !important;
 content:"\f068";
}
#accordion-218 .accordion-button::after {
  display: none !important;
}





.bs-callout {
border: 1px solid #666;
border-left-width: 5px;
}
.bs-callout-info {
  border-left-color: var(--bs-info);
}

.bs-callout-danger {
  border-left-color: var(--bs-danger);
}


.form-control {
  background-color: #b7a1e0;
  border-color: #666;
}


.jumbotron {
  border-bottom: .25px solid #6f42c1;
}
#page-108 .jumbotron {
  border-bottom: none !important;
}

#page-footer {
border-top: .25px solid #6f42c1;
}
#page-footer .nav-link {
  padding-left: 0 !important;
  font-weight: lighter;
}
#page-footer p {
  font-weight: lighter;
}

#page-footer .nav-link:hover {
  text-decoration: none;
}


#page-footer span,
#page-footer a {
  overflow: hidden;
  position: relative;
  display: inline-block;
}

#page-footer span {
  padding-bottom: 8px
}

#page-footer span::before,
#page-footer span::after,
#page-footer a::before,
#page-footer a::after {
 content: '';
  position: absolute;
  width: 100%;
  left: 0;
}
#page-footer span::before,
#page-footer a::before {
  background-color: #6f42c1;
  height: 2px;
  bottom: 0;
  transform-origin: 100% 50%;
  transform: scaleX(0);
  transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
}
#page-footer span::after,
#page-footer a::after {
  content: attr(data-replace);
  height: 100%;
  top: 0;
  transform-origin: 100% 50%;
  transform: translate3d(200%, 0, 0);
  transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
  color: #54b3d6;
}
#page-footer span:hover::before,
#page-footer a:hover::before {
  transform-origin: 0% 50%;
  transform: scaleX(1);
}
#page-footer span:hover::after,
#page-footer a:hover::after {
  transform: translate3d(0, 0, 0);
}

#page-footer span span,
#page-footer a span {
  display: inline-block;
  transition: transform .3s cubic-bezier(0.76, 0, 0.24, 1);
}
#page-footer span:hover span,
#page-footer a:hover span {
  transform: translate3d(-200%, 0, 0);
}

#page-footer.py-4 {
  padding-top: 3rem !important;
  padding-bottom: 3rem !important;
}

#page-footer .fa-circle-question {
  padding-right: 6px !important;
}

#page-footer .modal-link {
  text-decoration: none;
  padding-bottom: 0.5rem !important;
  padding-top: 0.5rem !important;
}

/* modal */
#page-footer #c2368 .bodytext {
  font-size: 1.25rem;
  font-weight: 300;
}
#page-footer #c2368 a {
  margin-bottom: -7px;
  padding-left: 4px;
}

/*
#page-footer #c2368 a:hover::before {
  transform-origin: 0;
  transform: none;
}
#page-footer #c2368 a::before,
#page-footer #c2368 a::after {
 content: '';
  position:  static;
  width: 100%;
  left: 0;
}
*/

.cc-revoke {
  display: none !important;
}

.lastModifiedContentElement {
  border-top: 1px solid #5a5a5a !important;
  margin-top: 4rem !important;
  padding-top: .75rem;
  margin-bottom: -2.25rem !important;
}



@media (min-width: 992px) {
  .navbar-brand {
    padding-right: 3rem !important;
  }
}



@media (max-width: 767.98px) {
  nav.sticky-top {
    display: none;
  }
  
  #form_kesearch_searchfield {
    margin-top: 2rem !important;
  }

  #page-footer .h-101.h4 {
    margin-top: 2rem;
    border-bottom: .25px solid #666;
  }
  
  .offcanvas.offcanvas-end {
    width: 100% !important;
  }
  
}

